libwpg_utils.h File Reference
`#include <stdio.h>`
`#include <librevenge-stream/librevenge-stream.h>`

Go to the source code of this file.

## Classes

struct | libwpg::WPGDummyDeleter
struct | libwpg::EndOfStreamException

## Namespaces

namespace | libwpg

## Macros

#define | WPG_ATTRIBUTE_PRINTF(fmt, arg)
#define | WPG_DEBUG_MSG(M)
#define | WPG_DEBUG(M)

## Functions

unsigned long | libwpg::getRemainingLength (librevenge::RVNGInputStream *const input)

## Macro Definition Documentation

## WPG_ATTRIBUTE_PRINTF

#define WPG_ATTRIBUTE_PRINTF | ( |  | fmt,
|  |  | arg )

## WPG_DEBUG

#define WPG_DEBUG | ( |  | M | ) |

## WPG_DEBUG_MSG

#define WPG_DEBUG_MSG | ( |  | M | ) |

Referenced by WPG1Parser::decodeRLE(), libwpg::WPGBitmap::getDIB(), WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), WPG1Parser::handleBitmapTypeTwo(), WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleBrushGradient(), WPG2Parser::handleBrushPattern(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPBrushGradient(), WPG2Parser::handleDPColorPalette(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG2Parser::handleDPPenSize(), WPG1Parser::handleEllipse(), WPG1Parser::handleEndWPG(), WPG1Parser::handleFillAttributes(), WPG2Parser::handleFormSettings(), WPG1Parser::handleGraphicsTextAttributes(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG1Parser::handleGroup(), WPG2Parser::handleLayer(), WPG1Parser::handleLine(), WPG1Parser::handleLineAttributes(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePageFormat(), WPG2Parser::handlePatternDefinition(), WPG2Parser::handlePenBackColor(), WPG2Parser::handlePenForeColor(), WPG2Parser::handlePenSize(), WPG2Parser::handlePenStyle(), WPG2Parser::handlePenStyleDefinition(), WPG1Parser::handlePolygon(), WPG1Parser::handlePolyline(), WPG2Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeTwo(), WPG1Parser::handleRectangle(), WPG2Parser::handleRectangle(), WPG1Parser::handleStartWPG(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), WPGHeader::load(), WPG1Parser::parse(), WPG2Parser::parse(), and WPG2Parser::parseCharacterization().